新装IDEA建好python项目出现导包错误提示"You should consider upgrading via the 'python -m pip......

新电脑安装IDEA后,建好python项目,在导包过程中发生了以下的错误情况~
在这里插入图片描述
那我们经过观察,发现其实IDEA已经给我们提供好了解决的方案了:
快捷键:win+R 输入cmd 进入命令窗口
先使用命令查看已下pip的版本(pip 是 Python 包管理工具,该工具提供了对Python 包的查找、下载、安装、卸载的功能。)
命令为 pip show pip
出现下图所示
在这里插入图片描述
反馈给我们一个信息,就是我们使用的pip版本为7.1.2,但当前可用版本是19.2.1
所以我们要在命令提示窗口中输入"python -m pip install --upgrade pip"命令让它升级到最新版本
在这里插入图片描述
升级完成后:
在这里插入图片描述
上图显示了Successfully installed pip-19.2.1
说明我们成功了安装了最新版本,好,如果我们还不放心的话,咱们用之前的命令再查一下~
在这里插入图片描述
发现确实是升级到最新版本了!(其实做到这里应该就可以了,咱们可以尝试着重启IDEA,重新导包试一下)
那再次导包如果出现下图的情况:
在这里插入图片描述
可以根据提示顺便再装一下setuptools,它可以帮助我们更简单的创建和分发Python包,尤其是拥有依赖关系的(pip install -i https://pypi.douban.com/simple setuptools==33.1.1)
安装如下图:
在这里插入图片描述
之后一定要记要记得重新启动IDEA呦 (@-@)

相关推荐
©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页